Bug 861628 - NV43 (Geforce 6600GT) tux racer doesn't restore default screen resolution when exiting
NV43 (Geforce 6600GT) tux racer doesn't restore default screen resolution whe...
Product: Fedora
Classification: Fedora
Component: extremetuxracer (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-09-29 11:02 EDT by info@kobaltwit.be
Modified: 2014-02-05 07:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-05 07:23:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
console error messages while running etracer (1.27 KB, text/plain)
2012-09-29 11:02 EDT, info@kobaltwit.be
no flags Details

  None (edit)
Description info@kobaltwit.be 2012-09-29 11:02:34 EDT
Created attachment 619103 [details]
console error messages while running etracer

Description of problem:
I'm running the F18 nouveau test day Tux Racer test, starting from a i386 live cd.

Tux racer runs well, but when it exits, the screen resolution is not reset to the screen resolution before tuxracer started. My screen is 1920x1200. Tux switches to a lower resolution to play the game. After it exits, the screen stays at the low resolution (very obvious, because a terminal that was still open now fills almost the full screen using a giant font size).

There were some Xorg errors printed which I will attach.

How reproducible:
Actual results:
The screen resolution is not reset

Expected results:
The screen resolution is reset to what it was before tux starts.

Additional info:
Comment 1 Ben Skeggs 2012-10-01 21:51:06 EDT
This probably isn't nouveau's fault, either the core xserver or etracer itself will be responsible here.

Reassigning to etracer for now.
Comment 2 Fedora End Of Life 2013-12-21 03:59:16 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 07:23:06 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.